File=/proc/stat

Patterns=4

 #IdleTimeJiffies is the 4th number on the cpu line 
Pattern1.Pattern=^cpu(?:\\s+(\\d+)){4}.*?$
Pattern1.Counters=CpuIdleTime

Pattern1.Patterns=2

 #total up everything on the cpu line as UpTimeJiffies, and use that for total time
Pattern1.Pattern1.Pattern=(\\d+)
Pattern1.Pattern1.Accumulating=true
Pattern1.Pattern1.Counters=CpuTotalTime

# find the (optional) cpu steal time

Pattern1.Pattern2.Pattern=(?:\\s+(\\d+)){8}
Pattern1.Pattern2.Counters=CpuStealTime

 #Context Switches since boot
Pattern2.Pattern=^ctxt\\s+(\\d+)
Pattern2.Counters=ContextSwitches

 #Number of processes, in a runnable state
Pattern3.Pattern=^procs_running\\s+(\\d+)
Pattern3.Counters=ProcessesRunning
Pattern3.Counter.ProcessesRunning.UseDifference=false

 #Number of pages in/out (from disk)
Pattern4.Pattern=^page\\s+(\\d+)\\s+(\\d+)
Pattern4.Counters=PagesRead, PagesWritten

 #Disk IO - usually this is all one line, then we just total select values within that line
 #To use this pattern, increase the "Patterns" field at the top of the file.
 #This pattern is marked disabled, since it is duplicated by either
 # /proc/partitions or /proc/diskstats (which we prefer, since they
 # will include more detailed statistics).
Pattern5.Pattern=^disk_io:.*?$
Pattern5.Accumulating=false
 #Expected format
 #disk_io: (2,0):(31,30,5764,1,2) (3,0):...
 #(major,minor):(noinfo, read_io_ops, blks_read, write_io_ops, blks_written)
Pattern5.Patterns=1
Pattern5.Pattern1.Accumulating=true
Pattern5.Pattern1.Pattern=\\(\\d+,\\d+\\):\\(\\d+,(\\d+),\\d+,(\\d+).*?\\)
Pattern5.Pattern1.Counters=DiskReads, DiskWrites

#Last enabled pattern: Pattern4